Endpoints챌린지
챌린지 상태 일괄 조회
한 번의 요청으로 여러 챌린지의 상태를 반환합니다. 최대 100개의 챌린지 ID를 받아 챌린지 ID를 키로 하는 객체를 반환합니다. 각 값은 챌린지 상태이거나, 챌린지를 가져올 수 없는 경우 `ClientErrorResponse`입니다.
Authorization
api-key AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/challenge/get-status" \ -H "Content-Type: application/json" \ -d '{ "challengeIds": [ "ae6d4729-af32-42ea-8ef2-ff46c7664802", "f47ac10b-58cc-4372-a567-0e02b2c3d479" ] }'{ "ae6d4729-af32-42ea-8ef2-ff46c7664802": { "status": "PASS", "sessionId": "b1a6482d-5242-4b4a-aa88-3fa52595a672", "approverEmail": "user@example.com" }, "f47ac10b-58cc-4372-a567-0e02b2c3d479": { "status": "IN_PROGRESS" }}{ "error": "INVALID_INPUT", "errorMessage": "Maximum of 100 challenge IDs allowed"}챌린지 상태 가져오기 GET
챌린지의 결과를 반환하며, 보호자의 조치를 기다리는 동안 폴링하는 엔드포인트입니다. `/age-gate/check`가 `CHALLENGE`를 반환한 후에 호출하십시오. `PASS`가 보고되면 이어서 `/session/get`을 호출하여 이제 `ACTIVE`가 된 세션과 부여된 권한을 조회하십시오. `FAIL`은 챌린지가 확정되어 더 이상 진행되지 않음을 의미합니다.
챌린지 가져오기 GET
이전에 생성된 챌린지를 반환합니다. 챌린지가 성공하거나 실패한 이후에는 `oneTimePassword`와 `url`이 포함되지 않습니다. 다시 표시해야 한다면 챌린지가 아직 열려 있는 동안 확보해 두십시오.